Package ch.qos.logback.classic.html

# Class DefaultThrowableRenderer

java.lang.Object
ch.qos.logback.classic.html.DefaultThrowableRenderer

All Implemented Interfaces:
  `IThrowableRenderer<ILoggingEvent>`

public class DefaultThrowableRenderer extends Object implements IThrowableRenderer<ILoggingEvent>

## Constructor Summary

Constructors
Constructor
Description
`DefaultThrowableRenderer()`

## Method Summary

Modifier and Type
Method
Description
`void`
`printFirstLine(StringBuilder sb, IThrowableProxy tp)`
`void`
`render(StringBuilder sbuf, ILoggingEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultThrowableRenderer

public DefaultThrowableRenderer()

## Method Details

### render

public void render(StringBuilder sbuf, ILoggingEvent event)

Specified by:
  `render` in interface `IThrowableRenderer<ILoggingEvent>`

### printFirstLine

public void printFirstLine(StringBuilder sb, IThrowableProxy tp)